```@meta
CurrentModule = QBase
```

# QBase.jl

*A base library for quantum information.*

!!! note "Alpha Version"
    Breaking changes will be made in future commits.

## Features:
  1. Types and constructors for representing quantum states and operators.
  2. Methods for evolving quantum systems and performing quantum measurements.
  3. Methods for computing information-theoretic quantities.
  4. Mathematics utilities to support quantum calculations.

## Citing

Please see [`CITATION.bib`](https://github.com/ChitambarLab/QBase.jl/blob/master/CITATION.bib)
for reference of this work.

## Licensing

QBase.jl is released under the MIT License.

## Acknowledgements

Development of QBase.jl was made possible by the advisory of Dr. Eric Chitambar
and general support from the Physics Department at the University of Illinois
Urbana-Champaign. Funding was provided by NSF Award 1914440.

## Contents

```@contents
Pages = ["user_guide.md", "exports.md", "submodules/States.md", "submodules/Unitaries.md", "submodules/Observables.md", "submodules/Channels.md", "submodules/Information.md", "submodules/QMath.md"]
Depth = 1
```
